#ifndef EDITSCENE_LODEDITOR_HPP
#define EDITSCENE_LODEDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/Lod.hpp"
#include <flecs.h>

/**
 * Editor for LodComponent with combo box selector for LOD Settings
 */
class LodEditor : public ComponentEditor<LodComponent> {
public:
	bool renderComponent(flecs::entity entity, LodComponent &lod) override;
	const char *getName() const override { return "LOD"; }

private:
	void renderSettingsSelector(flecs::entity entity, LodComponent& lod);
	void resolveSettingsEntity(LodComponent& lod);
};

#endif // EDITSCENE_LODEDITOR_HPP
